commit 7b4af57e8a1471747e17fff184032d8250e598b6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 7 18:01:47 2023 -0800

    Multisink.c: Clear -Werror=incompatible-pointer-types error
    
    MultiSink.c: In function ‘SetValues’:
    MultiSink.c:582:18: error: passing argument 1 of ‘SetTabs’ from
     incompatible pointer type [-Werror=incompatible-pointer-types]
      582 |         SetTabs( w, w->text_sink.tab_count, w->text_sink.char_tabs );
          |                  ^
          |                  |
          |                  MultiSinkObject {aka struct _MultiSinkRec *}
    MultiSink.c:99:21: note: expected ‘Widget’ {aka ‘struct _WidgetRec *’}
     but argument is of type ‘MultiSinkObject’ {aka ‘struct _MultiSinkRec *’}
       99 | static void SetTabs(Widget, int, short *);
          |                     ^~~~~~
    
    Adopts change originally made to libXaw in XFree86 4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

diff --git a/src/MultiSink.c b/src/MultiSink.c
index acf6caaca871a77e..cbae854004802708 100644
--- a/src/MultiSink.c
+++ b/src/MultiSink.c
@@ -579,7 +579,7 @@ SetValues(Widget current, Widget request, Widget new, ArgList args, Cardinal *nu
     if ( w->multi_sink.fontset != old_w->multi_sink.fontset ) {
 	((TextWidget)XtParent(new))->text.redisplay_needed = True;
 #ifndef NO_TAB_FIX
-	SetTabs( w, w->text_sink.tab_count, w->text_sink.char_tabs );
+	SetTabs((Widget)w, w->text_sink.tab_count, w->text_sink.char_tabs);
 #endif
     }
 
